[sip-comm] sound and voice not working! possible causes?


#1

The last time I ran the pre-1.0 sip-comm, it was with the java sdk 1.4 from sun. I couldn't
get any calls to work under eclipse, but it ran OK from a windows command prompt. At
the time, I think the rest of the team were working with the 1.3 sdk and jbuilder on linux.

I subsequently tried the 1.5 sdk under linux, but couldn't get calls with simple topology
to make reliable media connections. In the end, I got frustrated with the changing
interfaces between JMF and the sdk and gave up trying to find a stable combination.

Since that time, I've been waiting patiently for the 1.0 version - like a lot of other people.
Regards,

Brian

ยทยทยท

On Mon, 01 May 2006 17:03:47 +0200, Amanda wrote:

I don't think I have problems with proxy or firewalls, Iwas just runnin
it with eclipse to debug it and I found out some exceptions related to
JMF...

/java.lang.UnsatisfiedLinkError: JMFSecurityManager:
java.lang.UnsatisfiedLinkError: no jmdaudc in java.library.path
9954 [main] DEBUG media.MediaManager - Coud not create data source for
dsound://
javax.media.NoDataSourceException: Error instantiating class:
com.sun.media.protocol.dsound.DataSource :
java.lang.UnsatisfiedLinkError: JMFSecurityManager:
java.lang.UnsatisfiedLinkError: no jmdaudc in java.library.path
/
So I think the problem is really with JMF....

Do you remember which VM version you used last time you were able to run
sip-communicator with voice? I'm using 1.5.0_03-b07, maybe I should use
an older version that someone has already tried and works for sure.....

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net


#2

Brian Burch wrote:

The last time I ran the pre-1.0 sip-comm, it was with the java sdk 1.4 from sun. I couldn't get any calls to work under eclipse, but it
ran OK from a windows command prompt. At the time, I think the rest
of the team were working with the 1.3 sdk and jbuilder on linux.

Well, not exactly. The SIP Communicator has been developed and tested
primarily on j2sdk 1.4. It has never run on 1.3 (as a matter of fact it
won't even compile on 1.3). Most of us have been changing IDEs but this
has never really mattered since most of the time we would be executing
code through the command line using ant which is what I'd suggest for
pre1.0 code.

Hope this helps

Emil